escript::LapackInverseHelper Class Reference

`#include <LapackInverseHelper.h>`

## Public Member Functions

| LapackInverseHelper (int N)
| ~LapackInverseHelper ()
int | invert (double *matrix)

## Private Attributes

int * | piv
double * | work
int | N
int | lwork

## Detailed Description

Stores the memory required by different lapack implementations for matrix inverse

## Constructor & Destructor Documentation

## LapackInverseHelper()

LapackInverseHelper::LapackInverseHelper | ( | int | N | ) |

References lwork, N, piv, and work.

## ~LapackInverseHelper()

LapackInverseHelper::~LapackInverseHelper | ( |  | ) |

References piv, and work.

## Member Function Documentation

## invert()

int LapackInverseHelper::invert | ( | double * | matrix | ) |

References ERRFACTORISE, ERRINVERT, lwork, N, NEEDLAPACK, piv, SUCCESS, and work.

Referenced by escript::matrix_inverse().

## Member Data Documentation

## lwork

int escript::LapackInverseHelper::lwork

private

Referenced by invert(), and LapackInverseHelper().

## N

int escript::LapackInverseHelper::N

private

Referenced by invert(), and LapackInverseHelper().

## piv

int* escript::LapackInverseHelper::piv

private

Referenced by invert(), LapackInverseHelper(), and ~LapackInverseHelper().

## work

double* escript::LapackInverseHelper::work

private

Referenced by invert(), LapackInverseHelper(), and ~LapackInverseHelper().

The documentation for this class was generated from the following files:

- LapackInverseHelper.h
- LapackInverseHelper.cpp